Create

Endpoint for creating a new code point. Will throw an error if a point with that organization_id, name, and version already exists. This endpoint will validate the code for some common errors such as missing the execute_process or get_component function. To bypass validation you can use the same schema using /{api_version}/points/code endpoint instead. For a detailed walkthrough see https://docs.melodyarc.app/docs/creating-your-first-point

Path Params
string
required
Defaults to v1

Version of the API

Body Params
string
required

Organization ID to create the code point in.

string
required

Name of the point to create.

string
required
Defaults to latest

Version of the code to create. Use "latest" for making the point active.

string
required
Defaults to javascript

The code language for the point to execute. Currently only supports "javascript".

string
required

The raw code for the point. See for creating code points.

string

Description of the point.

imports
array of strings

An array of other points. Imported points can be used as global functions within a code point.

imports
parameters
array of strings

An array of key or value points. Points named as parameters can be used as global variables within a Code Point.

parameters
tags
array of strings

An array of keywords for efficient search and categorization.

tags
Responses

Language
Credentials
Header
URL
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json